<div class="delivery__modal">
    <div class="delivery__header">
        <h2 class="delivery__title">Доставка</h2>
        <button class="delivery__previous">
            <img class="delivery__previous-image" src="img/icon/previous.svg" alt="previous">
        </button>
    </div>
    <div class="delivery__body">
        <form class="form">
            <div class="form__wrapper">
                <div class="form__block form__name">
                    <label class="label" for="">Ваше имя</label>
                    <input class="input" type="text" name="username" placeholder="Дмитрий" maxlength="18" maxlength="30">
                </div>
                <div class="form__block form__phone">
                    <label class="label" for="userphone">Номер телефона</label>
                    <input class="input" class="userphone" type="tel" name="userphone" placeholder="+7(900)000-00-00" maxlength="18">
                </div>
                <div class="form__block form__address">
                    <label class="label" for="">Адрес доставки</label>
                    <input class="input" type="text" name="useraddress" placeholder="ул. Воронова, д.5, кв.12" maxlength="18">
                </div>
                <div class="form__block form__address">
                    <label class="label" for="">Комментарий к заказу</label>
                    <input class="input" type="text" name="useraddress" placeholder="Приборы на троих" maxlength="18">
                </div>
            </div>
            <div class="form__wrapper">
                <div class="form__block form__delivery">
                    <h4 class="select__title">Способ получения</h4>
                    <div class="select">
                        <div class="selectCustom js-selectCustom">
                            <div class="selectCustom-trigger">Выбрать...</div>
                            <div class="selectCustom-options">
                              <div class="selectCustom-option" data-value="delivery">Доставка</div>
                              <div class="selectCustom-option" data-value="pickup">Самовывоз</div>
                            </div>
                          </div>
                    </div>
                </div>
                <div class="form__block form__payment">
                    <h4 class="select__title">Способ оплаты</h4>
                    <div class="select">
                        <div class="selectCustom js-selectCustom">
                            <div class="selectCustom-trigger">Выбрать...</div>
                            <div class="selectCustom-options">
                              <div class="selectCustom-option" data-value="сash">Наличными</div>
                              <div class="selectCustom-option" data-value="card">Картой</div>
                            </div>
                          </div>
                    </div>
                </div>
                <div class="form__block form__promocode">
                    <label class="label" for="">Промокод</label>
                    <input class="input" type="text" name="useraddress" placeholder="Васаби" maxlength="18">
                </div>
                <button type="button" class="basket__order delivery__order">Заказать</button>  
            </div>
        </form>
    </div>
    <div class="delivery__footer">
        <div class="basket__info">
            <p class="basket__total">Итого:</p>
            <div class="basket__total-wrapper">
                <div class="basket__amount delivery__amount">0</div>
                <div class="ruble">&nbsp;₽</div>
            </div>
        </div>
    </div>
</div>

    